From: Zhihong Huang <[email-masked]>
Date: Tue, 1 Feb 94 16:20:04 CST

Dear Netters:

   My wife is a lad. I have filed I130S for F21 class and got
approved. However, when we went to the local (Philadelphia) INS
office, we were told that it should not have been approved. The
reason they gave was that there is no visa number for the F21
for people from PRC. I wonder if anyone on the network has gotten
their I130S (family reunion) approved and if so, what is the
next step. Thanks.

Z. Huang